Bug 606666 - Review Request: sselp - Prints X selection to standard out
Summary: Review Request: sselp - Prints X selection to standard out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-22 08:03 UTC by Matthias Runge
Modified: 2010-07-20 22:47 UTC (History)
6 users (show)

Fixed In Version: sselp-0.2-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 22:47:02 UTC
Type: ---
pikachu.2014: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2010-06-22 08:03:17 UTC
Spec URL: http://www.matthias-runge.de/fedora/sselp.spec
SRPM URL: http://www.matthias-runge.de/fedora/sselp-0.2-1.fc13.src.rpm
Description: Prints X selection to standard out

Comment 1 Matthias Runge 2010-06-22 08:04:24 UTC
[mrunge@mrungexp SPECS]$ rpmlint -i ../SRPMS/sselp-0.2-1.fc13.src.rpm ../RPMS/i686/sselp-0.2-1.fc13.i686.rpm 
sselp.i686: W: no-manual-page-for-binary sselp
Each executable in standard binary directories should have a man page.

2 packages and 0 specfiles checked; 0 errors, 1 warnings.

There is no man page. Packaging guidelines state *SHOULD* have a man page, but it's not required.

Comment 2 Mohamed El Morabity 2010-06-23 02:21:14 UTC
Hi,

some comments before a potential review:

- libX11-devel at least is missing as a BuildRequires

- sselp is not compiled using the Fedora standard flags. CFLAGS must be set to %{optflags}. To fix it, you can add this line in your %prep section:
   sed -i "s/CFLAGS = .*/CFLAGS = %{optflags} \${INCS} \${CPPFLAGS}/" config.mk

- your patch can be dropped if you call "make install" like this in your %install section:
   make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

- no debuginfos are generated, because of the "-s" option set in LDFLAGS (see config.mk). To fix it, add also this line in %prep:
   sed -i "/LDFLAGS/ s/-s//" config.mk

Comment 3 Matthias Runge 2010-06-23 07:19:31 UTC
Mohamed,

thank you for your very valuable answer! I've changed the spec according to your info:
SPEC: http://www.matthias-runge.de/fedora/sselp.spec
SRPM: http://www.matthias-runge.de/fedora/sselp-0.2-2.fc13.src.rpm

Comment 4 Mohamed El Morabity 2010-06-23 20:15:37 UTC
Great :)
I see no more issues... unless my suggestions can be improved ^^.
Since this package has already a reviewer, I yield my place... But I stay tuned ;)

Comment 5 Mohamed El Morabity 2010-06-24 09:58:58 UTC
Since cassmodiah let me take this review on #fedora-devel, here it is:

https://bugzilla.redhat.com/show_bug.cgi?id=606288

* MUST: rpmlint must be run on every package. The output should be posted in
the review.
  OK (no critical issue):
     $ rpmlint ../SRPMS/sselp-0.2-2.fc13.src.rpm 
     sselp.src:19: W: macro-in-comment %{optflags}
     $ rpmlint ../RPMS/x86_64/sselp-0.2-2.fc13.x86_64.rpm 
     sselp.x86_64: W: no-manual-page-for-binary sselp
     $ rpmlint ../RPMS/x86_64/sselp-debuginfo-0.2-2.fc13.x86_64.rpm
* MUST: The package must be named according to the Package Naming Guidelines .
  OK
* MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
  OK
* MUST: The package must meet the Packaging Guidelines
  OK
* MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines
  OK (MIT)
* MUST: The License field in the package spec file must match the actual
license.
  OK
* MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
  OK
* MUST: The spec file must be written in American English.
  OK
* MUST: The spec file for the package MUST be legible.
  OK
* MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
  OK (RPM source archive has the same MD5 sum than the one downloaded: b74d6558790d8df897db40bca90bc0f6)
* MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
  OK (tested on koji, OK on F13 and rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2268988)
* MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
  N/A
* MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines;
inclusion of those as BuildRequires is optional. Apply common sense.
  OK
* MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
  N/A
* MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
  N/A
* MUST: Packages must NOT bundle copies of system libraries.
  OK
* MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
  N/A
* MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
  OK
* MUST: A Fedora package must not list a file more than once in the spec file's
%files listings.
  OK
* MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
  OK
* MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
  OK
* MUST: Each package must consistently use macros.
  OK
* MUST: The package must contain code, or permissable content.
  OK
* MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).
  N/A
* MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
  OK
* MUST: Header files must be in a -devel package.
  N/A
* MUST: Static libraries must be in a -static package.
  N/A
* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
  N/A
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
  N/A
* MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
  N/A
* MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
  N/A
* MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
  N/A
* MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
  OK
* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
  OK
* MUST: All filenames in rpm packages must be valid UTF-8.
  OK

This package is APPROVED!

Comment 6 Mohamed El Morabity 2010-06-24 10:00:29 UTC
(sorry for the BZ link on top of the previous post, a bad copy-paste)

Comment 7 Matthias Runge 2010-06-24 10:04:57 UTC
Thanks to both of you!

Comment 8 Matthias Runge 2010-06-24 10:06:56 UTC
New Package CVS Request
=======================
Package Name: sselp
Short Description: Prints X selection to standard out
Owners: mrunge
Branches: F-13

Comment 9 Christoph Wickert 2010-06-24 20:18:39 UTC
Two remarks:
- Description does not end with a dot
- make is not verbose, so cflags cannot be verified:

Comment 10 Mohamed El Morabity 2010-06-25 01:12:08 UTC
(In reply to comment #9)
> Two remarks:
> - Description does not end with a dot
> - make is not verbose, so cflags cannot be verified:    
Sorry for missing these issues.
Mathias: to fix the nonverbose compilation, you can add this in %prep:
   sed -i "s/@\${CC}/\${CC}/" Makefile
Anyway the flags may be OK with the fixes suggested above, the Makefile is simple enough to check it. Anyway, logs are better for proof ^^

Comment 11 Matthias Runge 2010-06-25 06:32:10 UTC
Thanks for the hint, it's fixed in the following version (and not to late for initial cvs)

SPEC: http://www.matthias-runge.de/fedora/sselp.spec
SRPM: http://www.matthias-runge.de/fedora/sselp-0.2-3.fc13.src.rpm

Comment 12 Jason Tibbitts 2010-06-26 08:04:14 UTC
Please remember to assign the ticket to the person doing the review.

CVS done (by process-cvs-requests.py).

Comment 13 Fedora Update System 2010-06-28 07:01:54 UTC
sselp-0.2-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/sselp-0.2-3.fc13

Comment 14 Fedora Update System 2010-06-28 17:13:42 UTC
sselp-0.2-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sselp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/sselp-0.2-3.fc13

Comment 15 Matthias Runge 2010-06-29 07:22:42 UTC
Package Change Request
======================
Package Name: sselp
New Branches: EL-6
Owners: mrunge


sselp is required by package dmenu (in newer versions), which shall be included in EL-6

Comment 16 Kevin Fenzi 2010-06-30 01:01:58 UTC
CVS done (by process-cvs-requests.py).

Comment 17 Fedora Update System 2010-07-20 22:46:50 UTC
sselp-0.2-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.